import * as unplugin from 'unplugin';
import { FilterPattern } from '@rollup/pluginutils';

interface Options {
    include?: FilterPattern;
    exclude?: FilterPattern;
    root?: string;
    version?: 2 | 3;
    defineOptions?: boolean;
    defineModel?: boolean;
    hoistStatic?: boolean;
    setupComponent?: boolean | FilterPattern;
    setupSFC?: boolean | FilterPattern;
}
declare type OptionsResolved = Omit<Required<Options>, 'exclude' | 'setupComponent' | 'setupSFC'> & {
    exclude?: FilterPattern;
    setupComponent: false | FilterPattern;
    setupSFC: false | FilterPattern;
};
declare const _default: unplugin.UnpluginInstance<Options>;

export { Options, OptionsResolved, _default as default };
